Package org.apache.catalina.manager.util

## Class SessionUtils

- java.lang.Object
- - org.apache.catalina.manager.util.SessionUtils

    public class SessionUtils
    extends java.lang.Object

Utility methods on HttpSessions.

Author:
  Cédrik LIME

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `getInactiveTimeForSession​(Session in_session)`
`static long` `getTTLForSession​(Session in_session)`
`static long` `getUsedTimeForSession​(Session in_session)`
`static java.util.Locale` `guessLocaleFromSession​(HttpSession in_session)`
`static java.util.Locale` `guessLocaleFromSession​(Session in_session)` Try to get user locale from the session, if possible.
`static java.lang.Object` `guessUserFromSession​(Session in_session)` Try to get user from the session, if possible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### guessLocaleFromSession

    public static java.util.Locale guessLocaleFromSession​(Session in_session)

Try to get user locale from the session, if possible. IMPLEMENTATION NOTE: this method has explicit support for Tapestry 3, Struts 1.x and Spring JSF check the browser meta tag "accept languages" to choose what language to display.

Parameters:
  `in_session` - The session
Returns:
  the locale

#### guessLocaleFromSession

    public static java.util.Locale guessLocaleFromSession​(HttpSession in_session)

#### guessUserFromSession

    public static java.lang.Object guessUserFromSession​(Session in_session)

Try to get user from the session, if possible.

Parameters:
  `in_session` - The session
Returns:
  the user

#### getUsedTimeForSession

    public static long getUsedTimeForSession​(Session in_session)

#### getTTLForSession

    public static long getTTLForSession​(Session in_session)

#### getInactiveTimeForSession

    public static long getInactiveTimeForSession​(Session in_session)